<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [installAugmentations](./bitburner.singularity.installaugmentations.md)

## Singularity.installAugmentations() method

Install your purchased augmentations.

**Signature:**

```typescript
installAugmentations(cbScript?: string): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

cbScript


</td><td>

string


</td><td>

_(Optional)_ This is a script that will automatically be run after Augmentations are installed (after the reset). This script will be run with no arguments and 1 thread. It must be located on your home computer.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 5 GB \* 16/4/1

This function will automatically install your Augmentations, resetting the game as usual. If you do not own any queued Augmentations then the game will not reset.

